source: Makefile.in @ bf5a70da

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since bf5a70da was d3b7937, checked in by Peter A. Buhr <pabuhr@…>, 8 years ago

building runtime library (first attempt)

  • Property mode set to 100644
File size: 22.9 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20VPATH = @srcdir@
21pkgdatadir = $(datadir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkglibexecdir = $(libexecdir)/@PACKAGE@
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40        $(top_srcdir)/configure INSTALL automake/compile \
41        automake/depcomp automake/install-sh automake/missing \
42        automake/ylwrap
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53SOURCES =
54DIST_SOURCES =
55RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
56        html-recursive info-recursive install-data-recursive \
57        install-dvi-recursive install-exec-recursive \
58        install-html-recursive install-info-recursive \
59        install-pdf-recursive install-ps-recursive install-recursive \
60        installcheck-recursive installdirs-recursive pdf-recursive \
61        ps-recursive uninstall-recursive
62RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
63  distclean-recursive maintainer-clean-recursive
64AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
65        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
66        distdir dist dist-all distcheck
67ETAGS = etags
68CTAGS = ctags
69DIST_SUBDIRS = $(SUBDIRS)
70DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71distdir = $(PACKAGE)-$(VERSION)
72top_distdir = $(distdir)
73am__remove_distdir = \
74  if test -d "$(distdir)"; then \
75    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
76      && rm -rf "$(distdir)" \
77      || { sleep 5 && rm -rf "$(distdir)"; }; \
78  else :; fi
79am__relativize = \
80  dir0=`pwd`; \
81  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
82  sed_rest='s,^[^/]*/*,,'; \
83  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
84  sed_butlast='s,/*[^/]*$$,,'; \
85  while test -n "$$dir1"; do \
86    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
87    if test "$$first" != "."; then \
88      if test "$$first" = ".."; then \
89        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
90        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
91      else \
92        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
93        if test "$$first2" = "$$first"; then \
94          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
95        else \
96          dir2="../$$dir2"; \
97        fi; \
98        dir0="$$dir0"/"$$first"; \
99      fi; \
100    fi; \
101    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
102  done; \
103  reldir="$$dir2"
104DIST_ARCHIVES = $(distdir).tar.gz
105GZIP_ENV = --best
106distuninstallcheck_listfiles = find . -type f -print
107am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
108  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
109distcleancheck_listfiles = find . -type f -print
110ACLOCAL = @ACLOCAL@
111ALLOCA = @ALLOCA@
112AMTAR = @AMTAR@
113AUTOCONF = @AUTOCONF@
114AUTOHEADER = @AUTOHEADER@
115AUTOMAKE = @AUTOMAKE@
116AWK = @AWK@
117BACKEND_CC = @BACKEND_CC@               # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
118CC = @CC@
119CCDEPMODE = @CCDEPMODE@
120CFA_BINDIR = @CFA_BINDIR@
121CFA_INCDIR = @CFA_INCDIR@
122CFA_LIBDIR = @CFA_LIBDIR@
123CFA_PREFIX = @CFA_PREFIX@
124CFLAGS = @CFLAGS@
125CPP = @CPP@
126CPPFLAGS = @CPPFLAGS@
127CXX = @CXX@
128CXXDEPMODE = @CXXDEPMODE@
129CXXFLAGS = @CXXFLAGS@
130CYGPATH_W = @CYGPATH_W@
131DEFS = @DEFS@
132DEPDIR = @DEPDIR@
133ECHO_C = @ECHO_C@
134ECHO_N = @ECHO_N@
135ECHO_T = @ECHO_T@
136EGREP = @EGREP@
137EXEEXT = @EXEEXT@
138GCC_PATH = @GCC_PATH@
139GREP = @GREP@
140INSTALL = @INSTALL@
141INSTALL_DATA = @INSTALL_DATA@
142INSTALL_PROGRAM = @INSTALL_PROGRAM@
143INSTALL_SCRIPT = @INSTALL_SCRIPT@
144INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
145LDFLAGS = @LDFLAGS@
146LEX = @LEX@
147LEXLIB = @LEXLIB@
148LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
149LIBOBJS = @LIBOBJS@
150LIBS = @LIBS@
151LTLIBOBJS = @LTLIBOBJS@
152MAINT = @MAINT@
153MAKEINFO = @MAKEINFO@
154MKDIR_P = @MKDIR_P@
155OBJEXT = @OBJEXT@
156PACKAGE = @PACKAGE@
157PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158PACKAGE_NAME = @PACKAGE_NAME@
159PACKAGE_STRING = @PACKAGE_STRING@
160PACKAGE_TARNAME = @PACKAGE_TARNAME@
161PACKAGE_URL = @PACKAGE_URL@
162PACKAGE_VERSION = @PACKAGE_VERSION@
163PATH_SEPARATOR = @PATH_SEPARATOR@
164RANLIB = @RANLIB@
165SET_MAKE = @SET_MAKE@
166SHELL = @SHELL@
167STRIP = @STRIP@
168VERSION = @VERSION@
169YACC = @YACC@
170YFLAGS = @YFLAGS@
171abs_builddir = @abs_builddir@
172abs_srcdir = @abs_srcdir@
173abs_top_builddir = @abs_top_builddir@
174abs_top_srcdir = @abs_top_srcdir@
175ac_ct_CC = @ac_ct_CC@
176ac_ct_CXX = @ac_ct_CXX@
177am__include = @am__include@
178am__leading_dot = @am__leading_dot@
179am__quote = @am__quote@
180am__tar = @am__tar@
181am__untar = @am__untar@
182bindir = @bindir@
183build_alias = @build_alias@
184builddir = @builddir@
185datadir = @datadir@
186datarootdir = @datarootdir@
187docdir = @docdir@
188dvidir = @dvidir@
189exec_prefix = @exec_prefix@
190host_alias = @host_alias@
191htmldir = @htmldir@
192includedir = @includedir@
193infodir = @infodir@
194install_sh = @install_sh@
195libdir = @libdir@
196libexecdir = @libexecdir@
197localedir = @localedir@
198localstatedir = @localstatedir@
199mandir = @mandir@
200mkdir_p = @mkdir_p@
201oldincludedir = @oldincludedir@
202pdfdir = @pdfdir@
203prefix = @prefix@
204program_transform_name = @program_transform_name@
205psdir = @psdir@
206sbindir = @sbindir@
207sharedstatedir = @sharedstatedir@
208srcdir = @srcdir@
209sysconfdir = @sysconfdir@
210target_alias = @target_alias@
211top_build_prefix = @top_build_prefix@
212top_builddir = @top_builddir@
213top_srcdir = @top_srcdir@
214AUTOMAKE_OPTIONS = foreign              # do not require all the GNU file names
215SUBDIRS = src/driver src src/libcfa     # order important, src before libcfa because cfa-cpp used to build prelude
216EXTRA_DIST = Docs                       # non-source files
217MAINTAINERCLEANFILES = lib/* bin/*
218all: config.h
219        $(MAKE) $(AM_MAKEFLAGS) all-recursive
220
221.SUFFIXES:
222am--refresh: Makefile
223        @:
224$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
225        @for dep in $?; do \
226          case '$(am__configure_deps)' in \
227            *$$dep*) \
228              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
229              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
230                && exit 0; \
231              exit 1;; \
232          esac; \
233        done; \
234        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
235        $(am__cd) $(top_srcdir) && \
236          $(AUTOMAKE) --foreign Makefile
237.PRECIOUS: Makefile
238Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
239        @case '$?' in \
240          *config.status*) \
241            echo ' $(SHELL) ./config.status'; \
242            $(SHELL) ./config.status;; \
243          *) \
244            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
245            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
246        esac;
247
248$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
249        $(SHELL) ./config.status --recheck
250
251$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
252        $(am__cd) $(srcdir) && $(AUTOCONF)
253$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
254        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
255$(am__aclocal_m4_deps):
256
257config.h: stamp-h1
258        @if test ! -f $@; then rm -f stamp-h1; else :; fi
259        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
260
261stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
262        @rm -f stamp-h1
263        cd $(top_builddir) && $(SHELL) ./config.status config.h
264$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
265        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
266        rm -f stamp-h1
267        touch $@
268
269distclean-hdr:
270        -rm -f config.h stamp-h1
271
272# This directory's subdirectories are mostly independent; you can cd
273# into them and run `make' without going through this Makefile.
274# To change the values of `make' variables: instead of editing Makefiles,
275# (1) if the variable is set in `config.status', edit `config.status'
276#     (which will cause the Makefiles to be regenerated when you run `make');
277# (2) otherwise, pass the desired values on the `make' command line.
278$(RECURSIVE_TARGETS):
279        @fail= failcom='exit 1'; \
280        for f in x $$MAKEFLAGS; do \
281          case $$f in \
282            *=* | --[!k]*);; \
283            *k*) failcom='fail=yes';; \
284          esac; \
285        done; \
286        dot_seen=no; \
287        target=`echo $@ | sed s/-recursive//`; \
288        list='$(SUBDIRS)'; for subdir in $$list; do \
289          echo "Making $$target in $$subdir"; \
290          if test "$$subdir" = "."; then \
291            dot_seen=yes; \
292            local_target="$$target-am"; \
293          else \
294            local_target="$$target"; \
295          fi; \
296          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
297          || eval $$failcom; \
298        done; \
299        if test "$$dot_seen" = "no"; then \
300          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
301        fi; test -z "$$fail"
302
303$(RECURSIVE_CLEAN_TARGETS):
304        @fail= failcom='exit 1'; \
305        for f in x $$MAKEFLAGS; do \
306          case $$f in \
307            *=* | --[!k]*);; \
308            *k*) failcom='fail=yes';; \
309          esac; \
310        done; \
311        dot_seen=no; \
312        case "$@" in \
313          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
314          *) list='$(SUBDIRS)' ;; \
315        esac; \
316        rev=''; for subdir in $$list; do \
317          if test "$$subdir" = "."; then :; else \
318            rev="$$subdir $$rev"; \
319          fi; \
320        done; \
321        rev="$$rev ."; \
322        target=`echo $@ | sed s/-recursive//`; \
323        for subdir in $$rev; do \
324          echo "Making $$target in $$subdir"; \
325          if test "$$subdir" = "."; then \
326            local_target="$$target-am"; \
327          else \
328            local_target="$$target"; \
329          fi; \
330          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
331          || eval $$failcom; \
332        done && test -z "$$fail"
333tags-recursive:
334        list='$(SUBDIRS)'; for subdir in $$list; do \
335          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
336        done
337ctags-recursive:
338        list='$(SUBDIRS)'; for subdir in $$list; do \
339          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
340        done
341
342ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
343        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
344        unique=`for i in $$list; do \
345            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
346          done | \
347          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
348              END { if (nonempty) { for (i in files) print i; }; }'`; \
349        mkid -fID $$unique
350tags: TAGS
351
352TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
353                $(TAGS_FILES) $(LISP)
354        set x; \
355        here=`pwd`; \
356        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
357          include_option=--etags-include; \
358          empty_fix=.; \
359        else \
360          include_option=--include; \
361          empty_fix=; \
362        fi; \
363        list='$(SUBDIRS)'; for subdir in $$list; do \
364          if test "$$subdir" = .; then :; else \
365            test ! -f $$subdir/TAGS || \
366              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
367          fi; \
368        done; \
369        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
370        unique=`for i in $$list; do \
371            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
372          done | \
373          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
374              END { if (nonempty) { for (i in files) print i; }; }'`; \
375        shift; \
376        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
377          test -n "$$unique" || unique=$$empty_fix; \
378          if test $$# -gt 0; then \
379            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
380              "$$@" $$unique; \
381          else \
382            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
383              $$unique; \
384          fi; \
385        fi
386ctags: CTAGS
387CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
388                $(TAGS_FILES) $(LISP)
389        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
390        unique=`for i in $$list; do \
391            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
392          done | \
393          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
394              END { if (nonempty) { for (i in files) print i; }; }'`; \
395        test -z "$(CTAGS_ARGS)$$unique" \
396          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
397             $$unique
398
399GTAGS:
400        here=`$(am__cd) $(top_builddir) && pwd` \
401          && $(am__cd) $(top_srcdir) \
402          && gtags -i $(GTAGS_ARGS) "$$here"
403
404distclean-tags:
405        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
406
407distdir: $(DISTFILES)
408        $(am__remove_distdir)
409        test -d "$(distdir)" || mkdir "$(distdir)"
410        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
411        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
412        list='$(DISTFILES)'; \
413          dist_files=`for file in $$list; do echo $$file; done | \
414          sed -e "s|^$$srcdirstrip/||;t" \
415              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
416        case $$dist_files in \
417          */*) $(MKDIR_P) `echo "$$dist_files" | \
418                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
419                           sort -u` ;; \
420        esac; \
421        for file in $$dist_files; do \
422          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
423          if test -d $$d/$$file; then \
424            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
425            if test -d "$(distdir)/$$file"; then \
426              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
427            fi; \
428            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
429              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
430              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
431            fi; \
432            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
433          else \
434            test -f "$(distdir)/$$file" \
435            || cp -p $$d/$$file "$(distdir)/$$file" \
436            || exit 1; \
437          fi; \
438        done
439        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
440          if test "$$subdir" = .; then :; else \
441            test -d "$(distdir)/$$subdir" \
442            || $(MKDIR_P) "$(distdir)/$$subdir" \
443            || exit 1; \
444          fi; \
445        done
446        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
447          if test "$$subdir" = .; then :; else \
448            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
449            $(am__relativize); \
450            new_distdir=$$reldir; \
451            dir1=$$subdir; dir2="$(top_distdir)"; \
452            $(am__relativize); \
453            new_top_distdir=$$reldir; \
454            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
455            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
456            ($(am__cd) $$subdir && \
457              $(MAKE) $(AM_MAKEFLAGS) \
458                top_distdir="$$new_top_distdir" \
459                distdir="$$new_distdir" \
460                am__remove_distdir=: \
461                am__skip_length_check=: \
462                am__skip_mode_fix=: \
463                distdir) \
464              || exit 1; \
465          fi; \
466        done
467        -test -n "$(am__skip_mode_fix)" \
468        || find "$(distdir)" -type d ! -perm -755 \
469                -exec chmod u+rwx,go+rx {} \; -o \
470          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
471          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
472          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
473        || chmod -R a+r "$(distdir)"
474dist-gzip: distdir
475        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
476        $(am__remove_distdir)
477
478dist-bzip2: distdir
479        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
480        $(am__remove_distdir)
481
482dist-lzip: distdir
483        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
484        $(am__remove_distdir)
485
486dist-lzma: distdir
487        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
488        $(am__remove_distdir)
489
490dist-xz: distdir
491        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
492        $(am__remove_distdir)
493
494dist-tarZ: distdir
495        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
496        $(am__remove_distdir)
497
498dist-shar: distdir
499        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
500        $(am__remove_distdir)
501
502dist-zip: distdir
503        -rm -f $(distdir).zip
504        zip -rq $(distdir).zip $(distdir)
505        $(am__remove_distdir)
506
507dist dist-all: distdir
508        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
509        $(am__remove_distdir)
510
511# This target untars the dist file and tries a VPATH configuration.  Then
512# it guarantees that the distribution is self-contained by making another
513# tarfile.
514distcheck: dist
515        case '$(DIST_ARCHIVES)' in \
516        *.tar.gz*) \
517          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
518        *.tar.bz2*) \
519          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
520        *.tar.lzma*) \
521          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
522        *.tar.lz*) \
523          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
524        *.tar.xz*) \
525          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
526        *.tar.Z*) \
527          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
528        *.shar.gz*) \
529          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
530        *.zip*) \
531          unzip $(distdir).zip ;;\
532        esac
533        chmod -R a-w $(distdir); chmod a+w $(distdir)
534        mkdir $(distdir)/_build
535        mkdir $(distdir)/_inst
536        chmod a-w $(distdir)
537        test -d $(distdir)/_build || exit 0; \
538        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
539          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
540          && am__cwd=`pwd` \
541          && $(am__cd) $(distdir)/_build \
542          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
543            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
544            $(DISTCHECK_CONFIGURE_FLAGS) \
545          && $(MAKE) $(AM_MAKEFLAGS) \
546          && $(MAKE) $(AM_MAKEFLAGS) dvi \
547          && $(MAKE) $(AM_MAKEFLAGS) check \
548          && $(MAKE) $(AM_MAKEFLAGS) install \
549          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
550          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
551          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
552                distuninstallcheck \
553          && chmod -R a-w "$$dc_install_base" \
554          && ({ \
555               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
556               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
557               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
558               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
559                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
560              } || { rm -rf "$$dc_destdir"; exit 1; }) \
561          && rm -rf "$$dc_destdir" \
562          && $(MAKE) $(AM_MAKEFLAGS) dist \
563          && rm -rf $(DIST_ARCHIVES) \
564          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
565          && cd "$$am__cwd" \
566          || exit 1
567        $(am__remove_distdir)
568        @(echo "$(distdir) archives ready for distribution: "; \
569          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
570          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
571distuninstallcheck:
572        @test -n '$(distuninstallcheck_dir)' || { \
573          echo 'ERROR: trying to run $@ with an empty' \
574               '$$(distuninstallcheck_dir)' >&2; \
575          exit 1; \
576        }; \
577        $(am__cd) '$(distuninstallcheck_dir)' || { \
578          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
579          exit 1; \
580        }; \
581        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
582           || { echo "ERROR: files left after uninstall:" ; \
583                if test -n "$(DESTDIR)"; then \
584                  echo "  (check DESTDIR support)"; \
585                fi ; \
586                $(distuninstallcheck_listfiles) ; \
587                exit 1; } >&2
588distcleancheck: distclean
589        @if test '$(srcdir)' = . ; then \
590          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
591          exit 1 ; \
592        fi
593        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
594          || { echo "ERROR: files left in build directory after distclean:" ; \
595               $(distcleancheck_listfiles) ; \
596               exit 1; } >&2
597check-am: all-am
598check: check-recursive
599all-am: Makefile config.h
600installdirs: installdirs-recursive
601installdirs-am:
602install: install-recursive
603install-exec: install-exec-recursive
604install-data: install-data-recursive
605uninstall: uninstall-recursive
606
607install-am: all-am
608        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
609
610installcheck: installcheck-recursive
611install-strip:
612        if test -z '$(STRIP)'; then \
613          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
614            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
615              install; \
616        else \
617          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
618            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
619            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
620        fi
621mostlyclean-generic:
622
623clean-generic:
624
625distclean-generic:
626        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
627        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
628
629maintainer-clean-generic:
630        @echo "This command is intended for maintainers to use"
631        @echo "it deletes files that may require special tools to rebuild."
632        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
633clean: clean-recursive
634
635clean-am: clean-generic mostlyclean-am
636
637distclean: distclean-recursive
638        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
639        -rm -f Makefile
640distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
641
642dvi: dvi-recursive
643
644dvi-am:
645
646html: html-recursive
647
648html-am:
649
650info: info-recursive
651
652info-am:
653
654install-data-am:
655
656install-dvi: install-dvi-recursive
657
658install-dvi-am:
659
660install-exec-am:
661
662install-html: install-html-recursive
663
664install-html-am:
665
666install-info: install-info-recursive
667
668install-info-am:
669
670install-man:
671
672install-pdf: install-pdf-recursive
673
674install-pdf-am:
675
676install-ps: install-ps-recursive
677
678install-ps-am:
679
680installcheck-am:
681
682maintainer-clean: maintainer-clean-recursive
683        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
684        -rm -rf $(top_srcdir)/autom4te.cache
685        -rm -f Makefile
686maintainer-clean-am: distclean-am maintainer-clean-generic
687
688mostlyclean: mostlyclean-recursive
689
690mostlyclean-am: mostlyclean-generic
691
692pdf: pdf-recursive
693
694pdf-am:
695
696ps: ps-recursive
697
698ps-am:
699
700uninstall-am:
701
702.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
703        ctags-recursive install-am install-strip tags-recursive
704
705.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
706        all all-am am--refresh check check-am clean clean-generic \
707        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
708        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
709        distcheck distclean distclean-generic distclean-hdr \
710        distclean-tags distcleancheck distdir distuninstallcheck dvi \
711        dvi-am html html-am info info-am install install-am \
712        install-data install-data-am install-dvi install-dvi-am \
713        install-exec install-exec-am install-html install-html-am \
714        install-info install-info-am install-man install-pdf \
715        install-pdf-am install-ps install-ps-am install-strip \
716        installcheck installcheck-am installdirs installdirs-am \
717        maintainer-clean maintainer-clean-generic mostlyclean \
718        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
719        uninstall uninstall-am
720
721
722# Tell versions [3.59,3.63) of GNU make to not export all variables.
723# Otherwise a system limit (for SysV at least) may be exceeded.
724.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.